## PhoshScreenSaverManager

PhoshScreenSaverManager — Provides the org.gnome.ScreenSaver DBus interface and handles logind's Session

## Functions

PhoshScreenSaverManager * | phosh_screen_saver_manager_get_default ()

## Properties

PhoshLockscreenManager * | lockscreen-manager | Read / Write / Construct Only

## Types and Values

#define | PHOSH_TYPE_SCREEN_SAVER_MANAGER
| PhoshScreenSaverManager

## Object Hierarchy

        GObject
        ╰── GDBusInterfaceSkeleton
            ╰── PhoshScreenSaverDBusScreenSaverSkeleton
                ╰── PhoshScreenSaverManager

## Implemented Interfaces

PhoshScreenSaverManager implements GDBusInterface and PhoshScreenSaverDBusScreenSaver.

## Description

See https://people.gnome.org/~mccann/gnome-screensaver/docs/gnome-screensaver.html for a (a bit outdated) interface description. It also handles the login1 session parts since those are closely related and this keeps PhoshLockscreenManager free of the DBus handling.

## Functions

### phosh_screen_saver_manager_get_default ()

    PhoshScreenSaverManager *
    phosh_screen_saver_manager_get_default
                                   (PhoshLockscreenManager *lockscreen_manager);

## Types and Values

### PHOSH_TYPE_SCREEN_SAVER_MANAGER

    #define PHOSH_TYPE_SCREEN_SAVER_MANAGER             (phosh_screen_saver_manager_get_type ())

### PhoshScreenSaverManager

    typedef struct _PhoshScreenSaverManager PhoshScreenSaverManager;

## Property Details

### The `“lockscreen-manager”` property

      “lockscreen-manager”       PhoshLockscreenManager *

The lockscreen manager.

Owner: PhoshScreenSaverManager

Flags: Read / Write / Construct Only